class GenerationConfig:
    def __init__(self, max_length=2000, temperature=1.0, top_p=0.9, top_k=50):
        self.max_length = max_length
        self.temperature = temperature
        self.top_p = top_p
        self.top_k = top_k

    def to_dict(self):
        return {
            "max_length": self.max_length,
            "temperature": self.temperature,
            "top_p": self.top_p,
            "top_k": self.top_k,
        }